#include "redica.h"
#include<bits/stdc++.h>
using namespace std;
void solve(int N, int K, int S) {
    vector<int>v;
    int h;
    int s=0;
    for(int i=1;i<N;i++)
    {
        h=query();
        s+=h;
        v.push_back(h);
    }
    v.push_back(S-s);
    submit(v);
    return;
}
